
<!DOCTYPE html>
<html>
<head>
  <title>
    GNUKhata | Create User
  </title>

  <style>
  .login-box{
    background-color: rgba(220, 225,225,0.4);
  }

  </style>
</head>
<body>

  <div class='container-fluid'>

  </div>

  <div class="container-fluid">
      <div id="loginbox" style="margin-top:10px;" class="mainbox col-md-6 col-md-offset-3">
      <div class="panel" >
        <div class="panel-heading">
          <div class="panel-title">Create New User</div>
        </div>

        <form id="adduser" method="post" action="createuser" class="form-horizontal">
        <div style="padding-top:15px" class="panel-body" >
            <div class="alert alert-danger" id="username-blank-alert"  aria-live="rude" role="alert" hidden>

              Please enter username!
            </div>
            <div class="alert alert-danger" id="password-blank-alert"  aria-live="rude" role="alert" hidden>

              Please enter password!
            </div>
            <div class="alert alert-danger" id="cnfpass-blank-alert"  aria-live="rude" role="alert" hidden>

              Please re-enter password!
            </div>
            <div class="alert alert-danger" id="checkpassuser-blank-alert"  aria-live="rude" role="alert" hidden>

              Password doesn't match!
            </div>
            <div class="alert alert-danger" id="role-blank-alert"  aria-live="rude" role="alert" hidden>

              Please select role!
            </div>
            <div class="alert alert-danger" id="secque-blank-alert"  aria-live="rude" role="alert" hidden>

              Please enter security question!
            </div>
            <div class="alert alert-danger" id="secans-blank-alert"  aria-live="rude" role="alert" hidden>

              Please enter the answer of security question!
            </div>
            <div class="alert alert-success" id="success-blank-alert"  aria-live="rude" role="alert" hidden>

              User successfully added!
            </div>
            <div class="alert alert-danger" id="DuplicateEntry-blank-alert"  aria-live="rude" role="alert" hidden>

              User already exists!
            </div>
            <div class="alert alert-danger" id="BadPrivilege-blank-alert"  aria-live="rude" role="alert" hidden>

              You don't have authentication to add new user!
            </div>
            <div style="margin-bottom: 10px" class="input-group col-xs-12">
              <label for="name" id="usrname">Us<u>e</u>rname :</label>
              <input style="border-radius: 4px" id="name" type="text" class="form-control" name="username" accesskey="e"></input>
            </div>
            <div style="margin-bottom: 10px" class="input-group col-xs-12">
              <label for="password" id="usrpwd">Pass<u>w</u>ord :</label>
              <input style="border-radius: 4px" name="userpassword" id="password" type="password" class="form-control" accesskey="w"></input>
            </div>
            <div style="margin-bottom: 10px" class="input-group col-xs-12">
              <label for="confirm_password" id="pwdconfirm">C<u>o</u>nfirm Password :</label>
              <input name="cnfpassword" style="border-radius: 4px" type="password" id="confirm_password" class="form-control" accesskey="o"></input>
            </div>
            <div style="margin-bottom: 10px" class="input-group col-xs-12">
              <label for="userrole" id="pwdconfirm">Selec<u>t</u> Role :</label>
              <select name="userrole" style="border-radius: 4px" id="userrole" type="text" class="form-control" accesskey="t">
                <option value="" disabled selected hidden>Select a role</option>
                <option value="0">Manager</option>
                <option value="1">Operator</option>
              </select>
            </div>
            <div style="margin-bottom: 10px" class="input-group col-xs-12">
              <label for="question" id="secquestion">Security <u>Q</u>uestion :</label>
              <input name="userquestion" style="border-radius: 4px" type="text" class="form-control" placeholder="Security Question" id="question" accesskey="q"></input>
            </div>
            <div style="margin-bottom: 10px" class="input-group col-xs-12">
              <label for="answer" id="secanswer"><u>S</u>ecurity Answer :</label>
              <input name="useranswer" style="border-radius: 4px" type="text" class="form-control" placeholder="Security Answer" id="answer" accesskey="s"></input>
            </div>

        </div>
        <div class="panel-footer">
          <button type="submit" class="btn btn-success" accesskey="a">Cre<u>a</u>te</button>
        </div>
      </form>
      </div>
    </div>
  </div>
  <script type="text/javascript" src="{{request.static_url('gkwebapp:static/js/createuser.js')}}"></script>

</body>
</html>
